﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="HomePage.aspx.cs" StylesheetTheme="default"
    Inherits="MusicCommunity.Pages.HomePage" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Metal Community \m/</title>
    <script src="../Scripts/jquery-2.0.3.js" type="text/javascript" ></script>
    <script>
        function focusReg() {
            $(this).scrollTop($('#lol').offset().top);
        }
        function focusLog() {
            $(this).scrollTop($('#txtLogin').offset().top);
        }
        function showReg() {
            $("#divRegForm").slideToggle();
            $("#divWelcome").fadeToggle();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <img src="../Images/bgHome.jpg" id="bg" alt="" />
        <div class="row">
            <div class="container">
                <div class="sixteen columns">
                    <div class="logoText"></div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="container">
                <div class="offset-by-five">
                    <div class="six columns contentBox">
                        <table>
                            <tr>
                                <td colspan="2">
                                    <span class="lbl">Login:</span><asp:TextBox Width="200px" CssClass="rightBox" runat="server" ID="txtLogin" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <span class="lbl">Password:</span><asp:TextBox Width="200px" CssClass="rightBox" TextMode="Password" runat="server" ID="txtPassword" />
                                </td>
                            </tr>
                            <tr>
                                <td style="width:100px;"></td>
                                <td>
                                    <asp:Button ID="loginBtn" Text="Login" Width="70" OnClick="loginBtn_Click" runat="server" />
                                    <div style="float:right">
                                        <asp:Button ID="registerBtn" Text="Register" Width="70" OnClientClick="showReg();return false;" runat="server" />
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <div style="float:right; padding-right:11%">
                            <asp:Literal runat="server" ID="ErrorLiteral" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="container">
                <div class="offset-by-five">
                    <div class="six columns contentBox">
                        <div id="divWelcome" class="displayBlock" runat="server">
                            Welcome to the Metal Community, metalhead ! ! !
                        </div>
                        <div id="divRegForm" class="displayNone" runat="server">
                            <table>
                                <tr>
                                    <td colspan="2">
                                        <span class="lbl">Email: </span>
                                        <asp:TextBox ID="txtEmail" runat="server" Width="200px" CssClass="rightBox"></asp:TextBox>
                                        <asp:RegularExpressionValidator ID="validatorEmail" runat="server" ErrorMessage="*" CssClass="validError"
                                            ControlToValidate="txtEmail" ToolTip="Wrong Email." ValidationExpression="^(\S+)@([a-z0-9-]+)(\.)([a-z]{2,4})(\.?)([a-z]{0,4})+$" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <span class="lbl">Password:  </span>
                                        <asp:TextBox ID="txtPass" TextMode="Password" runat="server" CssClass="rightBox" Width="200px"></asp:TextBox>
                                        <asp:RegularExpressionValidator ID="validatorPassword" runat="server" ErrorMessage="*" CssClass="validError"
                                            ControlToValidate="txtPass" ToolTip="Must conteint lower and upper case letter, at least one digit and length at least 8 characters." ValidationExpression="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,32}$" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <span class="lbl">Repeat pass:</span>
                                        <asp:TextBox ID="txtRepPass" TextMode="Password" runat="server" CssClass="rightBox" Width="200px"></asp:TextBox>
                                        <asp:CompareValidator ID="validatorPass" runat="server" ErrorMessage="*" CssClass="validError"
                                            ControlToValidate="txtRepPass" ToolTip="Password doesn't match." ControlToCompare="txtPass" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <span class="lbl">Name: </span>
                                        <asp:TextBox ID="txtName" runat="server" CssClass="rightBox" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <span class="lbl">Surname:  </span>
                                        <asp:TextBox ID="txtSurname" runat="server" CssClass="rightBox" Width="200px"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width:100px;"></td>
                                    <td>
                                        <asp:Button Width="70" ID="regNewBtn" runat="server" Text="Register" OnClick="regNewBtn_Click" />
                                        <div style="float: right; margin-right:10px;">
                                            <asp:Button Width="70" ID="cancelBtn" runat="server" Text="Cancel" OnClientClick="showReg();return false;"/>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div id="lol" runat="server"></div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
