﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/UserMasterPage.Master" CodeBehind="User.aspx.cs"
    Inherits="MusicCommunity.Pages.User" StylesheetTheme="default" %>

<asp:Content ID="subsContent" ContentPlaceHolderID="leftContentHolder" runat="server">
    <h3>Three Core Principles</h3>
    <p>Skeleton is built on three core principles:</p>
    <ul class="square">
        <li><strong>A Responsive Grid Down To Mobile</strong>: Elegant scaling from a browser to tablets to mobile.</li>
        <li><strong>Fast to Start</strong>: It's a tool for rapid development with best practices</li>
        <li><strong>Style Agnostic</strong>: It provides the most basic, beautiful styles, but is meant to be overwritten.</li>
    </ul>
</asp:Content>

<asp:Content ID="midContent" ContentPlaceHolderID="midContentHolder" runat="server">
    <div style="margin-bottom:5px;">
        <div style="border-bottom-width: 2px; border-bottom-style: solid; border-radius: 5px; text-align: left; padding-left: 7px; padding-right: 7px;">
            <asp:Literal runat="server" ID="lblNameSur" Text="Name Surname" />
            <div style="float: right; margin: 2px">
                <asp:Literal runat="server" ID="lblOnline" Text="Online" />
            </div>
        </div>
    </div>
    <div class="four columns alpha">
        <img id="avatar" runat="server" src="~/Images/Grumpy-Cat-black-metal-Immortal-песочница-519173.jpg" style="border-radius: 5px; margin: 3px; width: 210px; height: 260px; border-style: groove; border-width: 2px;" class="scale-with-grid" />
    </div>
    <div class="seven columns omega">
        <div id="userInfo" style="font-size: medium;">
            <br />
            Birthdate: 
                <asp:Literal runat="server" ID="lblDetailsBirthDate" Text="1" />
            <br />
            City: 
                <asp:Literal runat="server" ID="lblDetailsCity" Text="2" />
            <br />
            Skype: 
                <asp:Literal runat="server" ID="lblDetailsSkype" Text="3" />
            <br />
            Phone Number:
                <asp:Literal runat="server" ID="lblDetailsPhone" Text="4" />
        </div>
    </div>
    <%--<h3>About Skeleton?</h3>
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>--%>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="midContentHolder2" runat="server">
    <p>Skeleton is a small collection of well-organized CSS files that can help you rapidly develop sites that look beautiful at any size, be it a 17" laptop screen or an iPhone. It's based on a responsive grid, but also provides very basic CSS for typography, buttons, forms and media queries. Go ahead, resize this super basic page to see the grid in action.</p>
</asp:Content>
